#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform int WaterYield;
uniform float WaterK[5];
uniform float WaterB[5];
uniform vec4 WaterColor[5];
uniform vec2 WaterSize;
uniform int WaterPipeState;

int getYArea()
{
	vec2 pos = vec2(v_texCoord.x, 1.0 - v_texCoord.y);	
	for(int i = 4; i >= 0; i--)
	{
		if(WaterPipeState == 2 && WaterYield - 1 == i)
		{
			if(pos.y*WaterSize.y > sin(0.02*pos.x*WaterSize.x)*5.0 + WaterB[i] + sin(0.08*pos.x*WaterSize.x)*5.0)
			{
				return i + 1;
			}
		}else{
			if(pos.y*WaterSize.y > WaterK[i]*pos.x*WaterSize.x + WaterB[i])
			{
				return i + 1;
			}
		}
	}
	
	return 0;
}

vec4 getColor()
{
	if(WaterYield == 0)
	{
		return vec4(0.0, 0.0, 0.0, 0.0);
	}
	
	int index = getYArea();
	if(index == 5)
	{
		return vec4(0.0, 0.0, 0.0, 0.0);
	}
	else
	{
		return WaterColor[index];
	}
}

 
void main(void)
{
	vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	if(color.a <= 0.05)
	{
		gl_FragColor = color;
	}
	else{
		gl_FragColor = getColor();
	}
}
